| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::EndTime Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for precedence::EndTime:
[legend]
Collaboration diagram for precedence::EndTime:
[legend]

## Public Member Functions
| EndTime (SmartIF< ITimelineSvc > timelineSvc)
std::string | operator() (const AlgoProps &props) const
std::string | operator() (const DecisionHubProps &) const
std::string | operator() (const DataProps &) const

## Public Attributes
SmartIF< ITimelineSvc > | m_timelineSvc

## Detailed Description

Definition at line 240 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::EndTime::EndTime | ( | SmartIF< ITimelineSvc > | timelineSvc | ) |
| inline

Definition at line 241 of file PrecedenceRulesGraph.h.

241 : m_timelineSvc( timelineSvc ) {}
precedence::EndTime::m_timelineSvc
SmartIF< ITimelineSvc > m_timelineSvc
Definition: PrecedenceRulesGraph.h:264

## Member Function Documentation

std::string precedence::EndTime::operator() | ( | const AlgoProps & | props | ) | const
| inline

Definition at line 243 of file PrecedenceRulesGraph.h.

244 {
245
246 std::string endTime = "UKNOWN";
247
248 if ( m_timelineSvc.isValid() ) {
249
250 TimelineEvent te{};
251 te.algorithm = props.m_name;
252 m_timelineSvc->getTimelineEvent( te );
253 endTime =
254 std::to_string( std::chrono::duration_cast<std::chrono::nanoseconds>( te.end.time_since_epoch() ).count() );
255 }
256
257 return endTime;
258 }
std::to_string
T to_string(T...args)
precedence::EndTime::m_timelineSvc
SmartIF< ITimelineSvc > m_timelineSvc
Definition: PrecedenceRulesGraph.h:264
TimelineEvent::algorithm
std::string algorithm
Definition: ITimelineSvc.h:18
TimelineEvent
Definition: ITimelineSvc.h:13
std::string
STL class.
ITimelineSvc::getTimelineEvent
virtual void getTimelineEvent(TimelineEvent &) const =0
std::count
T count(T...args)
SmartIF::isValid
bool isValid() const
Allow for check if smart pointer is valid.
Definition: SmartIF.h:68

std::string precedence::EndTime::operator() | ( | const DecisionHubProps & |  | ) | const
| inline

Definition at line 260 of file PrecedenceRulesGraph.h.

260 { return ""; }

std::string precedence::EndTime::operator() | ( | const DataProps & |  | ) | const
| inline

Definition at line 262 of file PrecedenceRulesGraph.h.

262 { return ""; }

## Member Data Documentation

SmartIF<ITimelineSvc> precedence::EndTime::m_timelineSvc

Definition at line 264 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h